Bug 456873 - java.lang.IllegalStateException on client.auth.logout (XMLRPC)
java.lang.IllegalStateException on client.auth.logout (XMLRPC)
Status: CLOSED CURRENTRELEASE
Product: Red Hat Satellite 5
Classification: Red Hat
Component: API (Show other bugs)
520
All Linux
medium Severity medium
: ---
: ---
Assigned To: Devan Goodwin
Preethi Thomas
:
Depends On:
Blocks: 446866
  Show dependency treegraph
 
Reported: 2008-07-28 07:29 EDT by Milan Zazrivec
Modified: 2008-11-05 13:41 EST (History)
4 users (show)

See Also:
Fixed In Version: sat520
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-11-05 13:41:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
python script that calls auth.login and auth.logout (240 bytes, text/plain)
2008-08-25 13:44 EDT, Jesus M. Rodriguez
no flags Details

  None (edit)
Description Milan Zazrivec 2008-07-28 07:29:19 EDT
+++ This bug was initially created as a clone of Bug #454474 +++

Description of problem:

I'm attempting to write a cobbler authn_spacewalk module to authenticate
Cobbler's XMLRPC against Spacewalk's XMLRPC.  Calling logout generated the
following remote traceback when using https://rlx-3-24.rhndev.redhat.com as my
test server.

2008-07-08 14:17:59,093 - remote - Exception occured: <class 'xmlrpclib.Fault'>
2008-07-08 14:17:59,094 - remote - Exception value: <Fault -1:
'java.lang.IllegalStateException: Stopwatch must be reset before being restarted. '>

-- Additional comment from mdehaan@redhat.com on 2008-07-08 14:23 EST --
This also happened just now when calling client.auth.login()

-- Additional comment from mdehaan@redhat.com on 2008-07-15 18:23 EST --
Here is a local bugreport that has a full trace:

https://www.redhat.com/archives/spacewalk-list/2008-July/msg00118.html


-- Additional comment from msuchy@redhat.com on 2008-07-24 07:17 EST --
This happen sat5.2 too. There we have java-1.5.0-ibm. So it is not related to
java 1.6.
Comment 1 Jesus M. Rodriguez 2008-07-29 16:07:25 EDT
replaced commons-lang-2.0-src.jar with 2.1 version.
update ivy.xml to point to 2.1 instead of 2.0
update rhn-java.spec to require commons-lang 2.1
finally, updated LoggingInvocationProcessor to reset StopWatch before
starting.
Comment 2 Jesus M. Rodriguez 2008-07-29 16:07:39 EDT
Committed revision 175626
Comment 5 Jesus M. Rodriguez 2008-08-25 13:41:30 EDT
TEST PLAN
----------
Write a python script that calls auth.login then auth.logout.
Tail the log (tail -f /var/log/tomcat5/catalina.out) as you run script.
I'm attaching a test script.
Comment 6 Jesus M. Rodriguez 2008-08-25 13:44:03 EDT
Created attachment 314939 [details]
python script that calls auth.login and auth.logout

Update script to include the url to your satellite, username, password.
chmod +x auth.login.py
./auth.login.py

observe no IllegalStateException in log.
Comment 7 Preethi Thomas 2008-08-25 14:10:14 EDT
verified
Comment 8 Jeff Browning 2008-10-23 14:14:07 EDT
[root@fjs-0-01 /]# ./auth.login.py
23x1e6e91a983271b724df8c56ffe7f2ca6

Verified
Comment 9 Brandon Perkins 2008-11-05 13:41:27 EST
5.2.0 Satellite is now GA, bugs Closed for Current Release.

Note You need to log in before you can comment on or make changes to this bug.